Summary:	Multithreaded FTP client for X Windows
Name:		gftp
Version:	2.0.19
Release:	%mkrel 9
Epoch:		1
License:	GPLv2+
Group:		Networking/File transfer
URL:		http://www.gftp.org/
Source0:	http://www.gftp.org/%{name}-%{version}.tar.gz
Source1:	%{name}.icons.tar.bz2
Patch0:		%{name}-2.0.19-datetime-fixedsort.patch
Patch1:		%{name}-2.0.19-fix-desktop-file.patch
Patch2:		%{name}-2.0.19-fix-crash.patch
Patch3:		%{name}-2.0.19-mageia-bookmarks.patch
BuildRequires:	gtk+2-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
Requires:	gtk+2

%description
gFTP is a multithreaded FTP client for X Window written using Gtk. It features
simultaneous downloads, resuming of interrupted file transfers, file transfer
queues, downloading of entire directories, ftp proxy support, remote directory
caching, passive and non-passive file transfers, drag-n-drop, bookmarks menu,
stop button, and many more features.


%prep
%setup -q -a 1
%patch0 -p0 -b .datetime-fixedsort
%patch1 -p0 -b .fix-desktop-file
%patch2 -p0 -b .crash
%patch3 -p1 -b .bookmarks

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# locale files
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc THANKS ChangeLog README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man?/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:2.0.19-9.mga3
+ Revision: 351515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 10 2011 ahmad <ahmad> 1:2.0.19-8.mga1
+ Revision: 82908
- apply patch0 (datetime-fixedsort)
- add some Mageia bookmarks (mga#760)

* Sat Feb 19 2011 wally <wally> 1:2.0.19-7.mga1
+ Revision: 54401
- drop mdv specific bookmarks patch
- fix license
- drop buildroot definition
- drop old mdv scriptlets
- clean .spec a bit
- imported package gftp

